package com.op.wms.mapper;

import java.util.List;

import com.op.wms.domain.BaseArea;

/**
 * 库区Mapper接口
 * 
 * @author Open Platform
 * @date 2023-07-04
 */
public interface BaseAreaMapper {
	/**
	 * 查询库区
	 * 
	 * @param areaId 库区主键
	 * @return 库区
	 */
	public BaseArea selectBaseAreaByAreaId(String areaId);

	/**
	 * 查询库区列表
	 * 
	 * @param baseArea 库区
	 * @return 库区集合
	 */
	public List<BaseArea> selectBaseAreaList(BaseArea baseArea);

	/**
	 * 新增库区
	 * 
	 * @param baseArea 库区
	 * @return 结果
	 */
	public int insertBaseArea(BaseArea baseArea);

	/**
	 * 修改库区
	 * 
	 * @param baseArea 库区
	 * @return 结果
	 */
	public int updateBaseArea(BaseArea baseArea);

	/**
	 * 删除库区
	 * 
	 * @param areaId 库区主键
	 * @return 结果
	 */
	public int deleteBaseAreaByAreaId(String areaId);

	/**
	 * 批量删除库区
	 * 
	 * @param areaIds 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteBaseAreaByAreaIds(String[] areaIds);

    public Integer queryCount(BaseArea baseArea);
}
